%define ver     3.0.0
%define gccver	3.4.4

Summary: 	LSB Build environment interim lsbc++ package
Name: 		lsb-build-c++
Version: 	%ver
Release: 	1mdk
License: 	LGPL
Group: 		Development/C
Source: 	ftp://ftp.freestandards.org/pub/lsb/lsbdev/released-3.0.0/lsb-build-c++-%ver.tar.bz2
Source1: 	gcc-%gccver.tar.bz2
URL:            http://www.linuxbase.org/build
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Requires: 	lsb-build-base = %ver
Obsoletes: 	lsbdev-c++
BuildRequires: 	lsb-build-base = %ver lsb-build-cc = %ver glibc_lsb >= 2.3.4
Provides:	lsbdev-c++

%description
This package provides interim C++ building support for the
lsb-build packages.  It adds C++ headers and LSB-conforming
builds of the static C++ libraries to the files installed
by lsb-build-base. 

%package -n %{name}-devel
Summary:        LSB Build environment interim lsbc++ package
Group:          Development/C

%description -n %{name}-devel
This package provides interim C++ building support for the
lsbdev packages.  It adds C++ headers and LSB-conforming
builds of the static C++ libraries to the files installed
by lsbdev-base. 

%prep
%setup -q
tar xjf %{SOURCE1}

%build
(cd gcc-%gccver; mkdir lsb-build; cd lsb-build
	CC=%{_prefix}/bin/lsbcc CXX=%{_prefix}/bin/lsbc++ ../configure \
	--prefix=%{_prefix} --enable-threads=posix --libdir=%{_libdir} \
	--with-gxx-include-dir=%{_includedir}/lsb-build-base/c++ \
	--enable-cstdio=stdio --enable-clocale=generic \
	--enable-symvers=gnu --disable-shared \
	--host=%{_target_platform}; \
	make configure-target-libstdc++-v3)

# (sb) this fails now, all we need out of this mess 
# is the header files so skip this for the moment
#	--libdir=%{_libdir}/lsb-build-base \

%install
rm -rf $RPM_BUILD_ROOT
(cd gcc-%gccver/lsb-build/%{_target_platform}/libstdc++-v3/include; make; make install DESTDIR=$RPM_BUILD_ROOT)
# The target-specific headers need to be moved because
# gcc on the host won't have the same path as this
(cd $RPM_BUILD_ROOT/%{_includedir}/lsb-build-base/c++/*/bits ; mv * ../../bits )

%clean
rm -rf $RPM_BUILD_ROOT

# (sb) base package has no files
%files -n %{name}-devel
%defattr(-,root,root)
%doc README Licence
%{_includedir}/lsb-build-base/c++


%changelog
* Wed Jun  8 2005 Stew Benedict <sbenedict@mandriva.com> 3.0.0-1mdk
- 3.0.0, use gcc-3.4.4 snapshot (single reduced tarball now)

* Thu Aug 26 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.4-1mdk
- gcc3.3.4, don't package libsupc++

* Mon Jul 26 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.3-1mdk
- First Mandrakelinux packaging. split off into -devel (rpmlint), 
- move from /opt, add URL, fix tags

